{
  "log": {
    "access": "/var/log/xray/access.log",
    "error": "/var/log/xray/error.log",
    "loglevel": "warning"
  },
  "inbounds": [
    {
      "port": 19990,
      "protocol": "vless",
      "settings": {
        "clients": [
          {
            "id": "adbd84eb-15fe-4c62-931c-b471791672ad",
            "flow": "xtls-rprx-direct",
            "level": 0,
            "email": "ice@gmail.com"
          }
        ],
        "decryption": "none",
        "fallbacks": [
          {
            "dest": 60001,
            "alpn": "",
            "xver": 1
          },
          {
            "dest": 60002,
            "alpn": "h2",
            "xver": 1
          },
          {
            "path": "/v2ice-vless-ws/",
            "dest": 19998,
            "xver": 1
          },
          {
            "path": "/v2ice-vmess-tcp",
            "dest": 19997,
            "xver": 1
          },
          {
            "path": "/v2ice-vmess-ws",
            "dest": 19996,
            "xver": 1
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "xtls",
        "xtlsSettings": {
          "alpn": [
            "h2",
            "http/1.1"
          ],
          "certificates": [
            {
              "certificateFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/fullchain.cer",
              "keyFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/xx.s4.cc.hh.107421.xyz.key"
            }
          ]
        },
        "sniffing": {
          "enabled": true,
          "destOverride": [
            "http",
            "tls"
          ]
        }
      }
    },
    {
      "port": 19999,
      "listen": "127.0.0.1",
      "protocol": "trojan",
      "settings": {
        "clients": [
          {
            "password": "loveff.22",
            "level": 0,
            "email": "ice@gmail.com.cn",
            "flow": "xtls-rprx-direct"
          }
        ],
        "fallbacks": [
          {
            "dest": 8080,
            "alpn": "",
            "xver": 1
          },
          {
            "dest": 8081,
            "alpn": "h2",
            "xver": 1
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "xtls",
        "xtlsSettings": {
          "alpn": [
            "h2",
            "http/1.1"
          ],
          "certificates": [
            {
              "certificateFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/fullchain.cer",
              "keyFile": "/root/.acme.sh/xx.s4.cc.hh.107421.xyz_ecc/xx.s4.cc.hh.107421.xyz.key"
            }
          ]
        },
        "sniffing": {
          "enabled": true,
          "destOverride": [
            "http",
            "tls"
          ]
        }
      }
    },
    {
      "port": 19998,
      "listen": "127.0.0.1",
      "protocol": "vless",
      "settings": {
        "clients": [
          {
            "id": "adbd84eb-15fe-4c62-931c-b471791672ad",
            "level": 0,
            "email": "ice@gmail.com"
          }
        ],
        "decryption": "none"
      },
      "streamSettings": {
        "network": "ws",
        "security": "none",
        "wsSettings": {
          "acceptProxyProtocol": true,
          "path": "/v2ice-vless-ws/"
        }
      }
    },
    {
      "port": 19997,
      "listen": "127.0.0.1",
      "protocol": "vmess",
      "settings": {
        "clients": [
          {
            "id": "3da8aa3f-ddd7-49bf-94ba-950593f24471",
            "level": 0,
            "email": "ice@gmail.com"
          }
        ]
      },
      "streamSettings": {
        "network": "tcp",
        "security": "auto",
        "tcpSettings": {
          "acceptProxyProtocol": true,
          "header": {
            "type": "http",
            "request": {
              "path": [
                "/v2ice-vmess-tcp"
              ]
            }
          }
        }
      }
    },
    {
      "port": 19996,
      "listen": "127.0.0.1",
      "protocol": "vmess",
      "settings": {
        "clients": [
          {
            "id": "c08e68f1-283c-4f91-9603-0b80484bb283",
            "level": 0,
            "email": "ice@gmail.com"
          }
        ]
      },
      "streamSettings": {
        "network": "ws",
        "security": "auto",
        "wsSettings": {
          "acceptProxyProtocol": true,
          "path": "/v2ice-vmess-ws"
        }
      }
    },
    {
      "port": 19995,
      "listen": "0.0.0.0",
      "protocol": "vmess",
      "settings": {
        "clients": [
          {
            "id": "becaca40-b457-4572-9b46-ed66ecca7b4e",
            "level": 0,
            "alterId": 0,
            "email": "ice@cc.com"
          }
        ]
      },
      "streamSettings": {
        "network": "ws",
        "security": "auto",
        "wsSettings": {
          "acceptProxyProtocol": false,
          "path": "/v2ice-default-ws"
        }
      }
    }
  ],
  "outbounds": [
    {
      "protocol": "freedom"
    }
  ]
}